aboutsummaryrefslogtreecommitdiffstats
path: root/runtests.sh
diff options
context:
space:
mode:
authordan <[email protected]>2023-05-29 11:05:20 -0400
committerdan <[email protected]>2023-05-29 11:05:20 -0400
commit2455c38a09be3708062fef3e90bc006ab44dfacb (patch)
tree7feaf3055fde3b4466887f7f080d374ed3ac6746 /runtests.sh
parent8151ce5ffec4283a3bc1eeea52b8f9b17cb5d069 (diff)
downloadforth-2455c38a09be3708062fef3e90bc006ab44dfacb.tar.gz
forth-2455c38a09be3708062fef3e90bc006ab44dfacb.tar.bz2
forth-2455c38a09be3708062fef3e90bc006ab44dfacb.zip
tests: add failing nested if test, make runtests.sh return exit code 1 on failure
Diffstat (limited to 'runtests.sh')
-rwxr-xr-xruntests.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/runtests.sh b/runtests.sh
index ddff74f..ae77797 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -19,7 +19,7 @@ runtest () {
if [ "1" -eq "$?" ] ; then
echo "Test $n failed: $file" >&2
- echo "Diff:" >&2
+ echo "Diff: (expected vs actual)" >&2
echo "$diff"
exitcode=1
failed="$(expr "$failed" + 1)"
@@ -37,4 +37,5 @@ if [ "0" -eq "$failed" ]; then
exit 0
else
echo "$failed/$n tests failed" >&2
+ exit 1
fi